### Function

# GcrUi Renderer create

#### Declaration [src]

    GcrRenderer*
    gcr_renderer_create (
      const gchar* label,
      GckAttributes* attrs
    )

#### Description [src]

Create and initialize a renderer for the given attributes and label. These renderers should have been preregistered via gcr_renderer_register().

#### Parameters

`label` | `const gchar*`
| The label for the renderer.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`attrs` | `GckAttributes`
| The attributes to render.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GcrRenderer`
| A new renderer, or `NULL` if no renderer matched the attributes; the render should be released with `g_object_unref()`
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.